import { html as p } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, h = Object.getOwnPropertyDescriptor, a = (l, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? h(t, o) : t, s = l.length - 1, n; s >= 0; s--)
    (n = l[s]) && (e = (r ? n(t, o, e) : n(e)) || e);
  return r && e && g(t, o, e), e;
};
let i = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--vegetarian", this.class = "c-pieIcon c-pieIcon--vegetarian", this.name = "IconVegetarian";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--vegetarian"><path fill-rule="evenodd" d="m10.844 1.043.324.57.05.096c.43.798 3.179 5.91 2.33 8.986a5.18 5.18 0 0 1-4.97 3.806 4.96 4.96 0 0 1-1.374-.192 4.86 4.86 0 0 1-1.059-.42 6.606 6.606 0 0 1-2.992.735A6.414 6.414 0 0 1 2 14.508v-1.334a5.197 5.197 0 0 0 2.938-.179A5.18 5.18 0 0 1 3.625 8c.857-3.23 6.186-6.36 6.629-6.62l.021-.013.569-.324Zm-.367 11.645a3.859 3.859 0 0 0 1.81-2.326v-.008c.552-2.03-.997-5.68-1.942-7.5C8.604 3.94 5.375 6.25 4.859 8.35a3.85 3.85 0 0 0 1.312 4.025 5.163 5.163 0 0 0 2.03-2.984l1.269.359a6.431 6.431 0 0 1-2.048 3.255l.132.052a3.859 3.859 0 0 0 2.923-.37Z" clip-rule="evenodd"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], i.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = a([
  f("icon-vegetarian")
], i);
export {
  i as IconVegetarian
};
